package com.xxh.cloud.frontend.config;

import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.frontend.config.intercepter.WebHttpServletRequestWrapper;
import com.xxh.cloud.frontend.common.modules.exception.BusinessException;
import org.springframework.context.annotation.Configuration;
import org.springframework.http.HttpMethod;

import javax.servlet.*;
import javax.servlet.annotation.WebFilter;
import javax.servlet.http.HttpServletRequest;
import java.io.IOException;

@WebFilter(urlPatterns = "/*",filterName = "sqlFilter")
@Configuration
public class RequestFilter implements Filter {

    @Override
    public void init(FilterConfig filterConfig) throws ServletException {

    }

    @Override
    public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain)
            throws IOException, ServletException, BusinessException {
//        System.out.println("+++++++ 拦截器 WebServletRequestReplacedFilter");
        WebHttpServletRequestWrapper requestWrapper = null;
        if (request instanceof HttpServletRequest) {
            HttpServletRequest httpServletRequest = (HttpServletRequest) request;
            String url = httpServletRequest.getRequestURL().toString();
            String method= httpServletRequest.getMethod();
            String contentType= httpServletRequest.getContentType();
            System.out.println(StrUtil.format("url={}, method ={} ,ContentType={} ",url, method,contentType));
            // 上传文件的form直接通过
            if(StrUtil.isNotEmpty(contentType) && contentType.contains("multipart/form-data")){
                chain.doFilter(request, response);
            }
            // 判断 post_json
            if(!HttpMethod.GET.name().toUpperCase().equals(method.toUpperCase())){
                requestWrapper = new WebHttpServletRequestWrapper(httpServletRequest);
            }
        }
        if (requestWrapper == null) {
            chain.doFilter(request, response);
        } else {
            String bodyContext = requestWrapper.getBodyContent();
            System.out.println("拦截器 bodyContext = "+ bodyContext);
            chain.doFilter(requestWrapper, response);
        }
    }
}