package com.xxh.cloud.frontend.common.modules.exception;


/**
 * 错误编码，由5位数字组成，前2位为模块编码，后3位为业务编码
 * <p>
 * 如：10001（10代表系统模块，001代表业务代码）
 * </p>
 */

public enum WechatBaseErrorEnum implements IErrorCodeEnum {


    TEMP_MSG_WHITE_NONE(9801,"该用户未配置白名单!"),


    ;
    private int code;
    private String msg;

    private WechatBaseErrorEnum() {
    }

    WechatBaseErrorEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public int getCode() {
        return code;
    }

    @Override
    public String getMsg() {
        return msg;
    }
}
