package com.xxh.cloud.frontend.common.modules.his;


import cn.hutool.http.HttpRequest;
import com.alibaba.fastjson.JSONObject;
import com.xxh.cloud.frontend.common.modules.his.config.SysProjectConfig;
import com.xxh.cloud.frontend.common.modules.his.dto.GenerateSchemeDTO;
import com.xxh.cloud.frontend.common.modules.his.model.GenerateSchemeModel;
import com.xxh.cloud.frontend.common.modules.his.model.HisAccessTokenModel;
import com.xxh.cloud.frontend.common.modules.his.model.PatBindModel;
import com.xxh.cloud.frontend.common.modules.his.model.WbmdOaModel;
import com.xxh.cloud.frontend.common.modules.modules.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;


@Slf4j
@Component
public class WbmdOaApiHelper {

    // 皖北OA_企业微信授权登陆
    private static String wecomAuthorUrl = "http://wecom.api.bydsfy.com/mobile/weixin/api/wecomAuthor/wecom/author";

    public static WbmdOaModel wecomAuthor(String code) {
        Map<String, String> paramsMap = new HashMap<>();
        paramsMap.put("WecomSource", "Slife");
        paramsMap.put("Code", code);
        log.info("皖北OA_企业微信授权登陆参数 >>>>>>：{}", JSONObject.toJSONString(paramsMap));
        String result = HttpRequest.post(wecomAuthorUrl)
                .body(JSONObject.toJSONString(paramsMap))
                .execute().body();
        log.info("皖北OA_企业微信授权登陆返回 >>>>>>：{}", result);
        return JSONObject.parseObject(result, WbmdOaModel.class);
    }


    public static void main(String[] args) {
//        System.out.println(wecomAuthor("code"));
    }

}
