package com.xxh.cloud.frontend.common.modules.his.config;


import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import lombok.Getter;
import lombok.Setter;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

@Component
@Getter
@Setter
public class HisWebConfig {

    /** 海慈的host **/
    @Value("${his.host:null}")
    private String host;

    /** 海慈的key **/
    @Value("${his.sign-key:null}")
    private String signKey;

    @Value("${his.white:null}")
    private String white;

    public List<String> whiteList(){
        if (StrUtil.isNotEmpty(this.white)) {
            return CollUtil.newArrayList(this.white.split(","));
        } else {
            return new ArrayList<>();
        }
    }
}
