package com.xxh.cloud.frontend.common.modules.weixin;

import com.alibaba.fastjson.JSONObject;
import com.company.cloud.sdk.weixin.common.config.WxApiConfig;
import com.company.cloud.sdk.weixin.mp.WxMpApi;
import com.company.cloud.sdk.weixin.mp.WxMpUserManageApi;
import com.company.cloud.sdk.weixin.mp.model.Code2AccessTokenModel;
import com.company.cloud.sdk.weixin.mp.model.Code2AccessTokenResp;
import com.company.cloud.sdk.weixin.mp.model.usermanage.UserBasicInfoReqModel;
import com.company.cloud.sdk.weixin.mp.model.usermanage.UserBasicInfoResp;
import com.xxh.cloud.frontend.common.modules.exception.BusinessException;
import com.xxh.cloud.frontend.common.modules.weixin.constant.XXWeiXinErrorEnum;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Log4j2
@Service
public class ThirdWeixinLoginMpService {


    @Autowired
    private ThirdWeixinPageAccessTokenService thirdWeixinPageAccessTokenService;
    @Autowired
    private ThirdWeixinAccessTokenService thirdWeixinAccessTokenService;


    /**
     * openId 和 网页授权access_token
     * */
    public Code2AccessTokenResp getLoginAuthToken(WxApiConfig config, String jscode){
        // 调用api获取openid
        Code2AccessTokenModel code2AccessTokenModel = new Code2AccessTokenModel();
        code2AccessTokenModel.setAppid(config.getAppid());
        code2AccessTokenModel.setSecret(config.getSecret());
        code2AccessTokenModel.setCode(jscode);
        Code2AccessTokenResp resp = WxMpApi.code2Ticket(code2AccessTokenModel);
        if (resp == null) {
            throw new BusinessException(XXWeiXinErrorEnum.WX_MP_OpenId);
        }
        return resp;
    }

    /**
     * 获取unionid
     * */
    public UserBasicInfoResp getUnionid(String openId, String accessToken){
        log.info("---getUnionid()" + openId + "---" + accessToken);
        UserBasicInfoReqModel userBasicInfoReqModel = new UserBasicInfoReqModel();
        userBasicInfoReqModel.setAccess_token(accessToken);
        userBasicInfoReqModel.setOpenid(openId);
        UserBasicInfoResp userBasicInfoResp = WxMpUserManageApi.getUserInfo(userBasicInfoReqModel);
        log.debug(JSONObject.toJSONString(userBasicInfoResp));
        return userBasicInfoResp;
    }



//    /**
//     * 微信js签名
//     * */
//    public WxJSSDKSignModel wxSign(WxApiConfig config, String url){
//        String jsApiTicket=thirdWeixinAccessTokenService.getJsapiToken(config);
//        if(StrUtil.isEmpty(jsApiTicket)){
//            throw new BusinessException(XXWeiXinErrorEnum.WX_MP_JsApiTicket);
//        }
//        WxJSSDKSignModel wxResp= WxJSSDKSignUtils.sign(config.getAppid(),url,jsApiTicket);
//        return wxResp;
//    }











}
