package com.xxh.cloud.frontend.custuser.web.controller;

import com.xxh.cloud.frontend.common.modules.his.AnalysisApiHelper;
import com.xxh.cloud.frontend.common.modules.his.dto.AnalysisDataDTO;
import com.xxh.cloud.frontend.common.modules.his.model.AnalysisDataModel;
import com.xxh.cloud.frontend.common.modules.modules.Result;
import com.xxh.cloud.frontend.common.modules.util.IpWhite;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Slf4j
@RestController
@RequestMapping("/consultation/advice")
@Api(tags="会诊结论目标解析")
public class AnalysisController {

    @Autowired
    private IpWhite ipWhite;

    @PostMapping("/getAnalysisData")
    @ApiOperation("获取会诊结论解析数据")
    public Result<AnalysisDataModel> getPatientByThirdId(@RequestBody AnalysisDataDTO params) {
        // ip白名单限制
        ipWhite.validatorIpWhite();

        AnalysisDataModel resp = AnalysisApiHelper.getAnalysisData(params.getContent());
        
        return new Result<AnalysisDataModel>().ok(resp);
    }
}
