package com.xxh.cloud.frontend.custuser.web.controller;

import com.company.cloud.sdk.weixin.mp.model.msgmanage.SendTempMsgResp;
import com.xxh.cloud.frontend.common.modules.modules.Result;
import com.xxh.cloud.frontend.common.modules.util.IpWhite;
import com.xxh.cloud.frontend.common.modules.weixin.ThirdWeixinLoginMpService;
import com.xxh.cloud.frontend.common.modules.weixin.ThirdWeixinSendTempMsgService;
import com.xxh.cloud.frontend.common.modules.weixin.dto.SendTempMsgDTO;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/api/weixin")
@Api(tags = "调用微信推送接口")
public class CustUserWxSendTempMsgController {

    @Autowired
    private ThirdWeixinSendTempMsgService thirdWeixinSendTempMsgService;
    @Autowired
    private ThirdWeixinLoginMpService thirdWeixinLoginMpService;
    @Autowired
    private IpWhite ipWhite;

    @PostMapping("/sendTempMsg")
    @ApiOperation(value = "发送模板消息", response = Result.class)
    public Result<SendTempMsgResp> sendTempMsg(@RequestBody SendTempMsgDTO params) {
        // ip白名单限制
        ipWhite.validatorIpWhite();

        SendTempMsgResp resp = thirdWeixinSendTempMsgService.sendTempMsg(params);
        return new Result<SendTempMsgResp>().ok(resp);
    }
}
