package com.xxh.cloud.frontend.custuser.web.controller;

import com.xxh.cloud.frontend.common.modules.his.WbmdOaApiHelper;
import com.xxh.cloud.frontend.common.modules.his.config.HisWebConfig;
import com.xxh.cloud.frontend.common.modules.his.model.WbmdOaModel;
import com.xxh.cloud.frontend.common.modules.modules.Result;
import com.xxh.cloud.frontend.common.modules.util.IpWhite;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

@Slf4j
@RestController
@RequestMapping("/wbmd/oa")
@Api(tags="WBMD内部OA系统的接口")
public class WbmdOaController {

    @Autowired
    private HisWebConfig config;
    @Autowired
    private IpWhite ipWhite;

    @PostMapping("/wecom/author")
    @ApiOperation("调用内部OA企业微信授权登陆")
    public Result<WbmdOaModel> wecomAuthor(@RequestBody Map<String, String> params) {
        // ip白名单限制
        ipWhite.validatorIpWhite();
        WbmdOaModel model = WbmdOaApiHelper.wecomAuthor(params.get("code"));
        return new Result<WbmdOaModel>().ok(model);
    }

}
