package com.xxh.cloud.frontend.mq.controller;


import cn.hutool.json.JSONUtil;
import com.xxh.cloud.frontend.mq.model.MqMessageModel;
import com.xxh.cloud.frontend.mq.model.MqSendDelayModel;
import com.xxh.cloud.frontend.mq.service.ActiveMqService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

@Slf4j
@RestController
@RequestMapping("/mq/demo")
@Api(tags="MQ的测试接口")
public class FrontendDemoController {

    @Autowired
    private ActiveMqService activeMqService;

    @RequestMapping(value = "/delay", method = RequestMethod.GET)
    @ApiOperation(value = "延时队列")
    public String delay(HttpServletRequest request) {
        MqMessageModel mqMessageModel =
                new MqMessageModel("tag001", JSONUtil.toJsonStr("10000"));
        MqSendDelayModel mqSendModel = new MqSendDelayModel("queue", "20231111_topic", mqMessageModel, 5);
        activeMqService.delay(mqSendModel);
        return "OK";
    }

}
